=== debian/changelog ===
kim-api (2.0~beta2.gita734d1-3) unstable; urgency=medium

  * [f9aa137] Use gfortran for autopkgtests

 -- Anton Gladky <gladk@debian.org>  Sat, 09 Feb 2019 15:59:09 +0100

kim-api (2.0~beta2.gita734d1-2) unstable; urgency=medium

  * [00e2fff] Fix libexec path for the collections-management
  * [17f74c2] Use gfortran instead of fortran-compiler. (Closes: #921786)
  * [7abed38] Set Standards-Version to 4.3.0

 -- Anton Gladky <gladk@debian.org>  Sat, 09 Feb 2019 15:41:06 +0100

kim-api (2.0~beta2.gita734d1-1) unstable; urgency=medium

  * Initial packaging. (Closes: #907200)

 -- Anton Gladky <gladk@debian.org>  Fri, 24 Aug 2018 20:15:49 +0200
