=== debian/rules ===
#!/usr/bin/make -f

homedir = $(CURDIR)/debian/home
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export HOME = $(homedir)

%:
	dh $@

override_dh_auto_configure:
	mkdir -p $(homedir)
	dh_auto_configure -- -DKIM_API_BUILD_MODELS_AND_DRIVERS=ON

override_dh_compress:
	dh_compress -X.cpp -X.hpp -X.F90 -X.c -X.txt -X.sh

override_dh_clean:
	dh_clean
	rm -rf debian/home
