=== debian/tests/control ===
Tests: cluster cluster-cpp cluster-fortran
Depends: libkim-api-v2-dev, libkim-api-v2-models, build-essential, cmake, gfortran
